Bug 22669 - up2date crash
up2date crash
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Preston Brown
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-21 10:55 EST by Thiago Vinhas
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-21 10:55:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thiago Vinhas 2000-12-21 10:55:31 EST
Hi!

I was using up2date to download the glibc-devel-2.2-9.i386.rpm package using the command up2date -u (I'm registered with the RedHat Network). When it was on something about 70/75 % it has crashed. Here is the complete output:

[thiago@sampa-novo ~]$ up2date -u

Retrieving list of all available packages...

Removing installed packages from list of updates...
100.0%
Removing packages marked to skip from list...
100.0%
Getting headers for available packages...
100.0%
Removing packages with files marked to skip from list...
100.0%
Testing package set / solving RPM inter-dependencies...
The following packages were added to your selection to satify dependencies:
 
 
Name                                    Version        Release
--------------------------------------------------------------
kernel-headers                          2.4.0          0.26
Retrieving selected packages.
 
glibc-devel-2.2-9.i386.rpm...
Traceback (innermost last):
  File "/usr/local/sbin/up2date", line 394, in ?
    main()
  File "/usr/local/sbin/up2date", line 377, in main
    sys.exit(batchRun(onlyList, pkgNames, fullUpdate))
  File "/usr/local/sbin/up2date", line 231, in batchRun
    res = up2date.hasBadSignature(pkg)
  File "/usr/share/rhn/up2date/up2date.py", line 809, in hasBadSignature
    hdr = rpm.headerFromPackage(fd)[0]
rpm.error: error reading package
Comment 1 Preston Brown 2000-12-27 16:54:04 EST
Is the error repeatable?  I.e. does it happen consistently?  

If so, please remove all files in /var/spool/up2date and try again.  If the 
error still persists, re-open this bug.  Also, please make sure you have the 
latest errata version of Up2date.

Note You need to log in before you can comment on or make changes to this bug.